Bug 225884 - Merge Review: hesiod
Merge Review: hesiod
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:03 EST by Nobody's working on this, feel free to take it
Modified: 2010-03-18 15:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-18 15:33:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sgallagh: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:03:28 EST
Fedora Merge Review: hesiod

http://cvs.fedora.redhat.com/viewcvs/devel/hesiod/
Initial Owner: nalin@redhat.com
Comment 1 Stephen Gallagher 2010-02-19 15:30:45 EST
    *  MUST: rpmlint must be run on every package. The output should be posted in the review.[1]
FAIL (the changelog should be fixed)

hesiod.src: W: name-repeated-in-summary Hesiod
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

hesiod.src: W: no-url-tag
The URL tag is missing.

hesiod.src: W: patch-not-applied Patch0: hesiod-3.1.0-classes.patch
A patch is included in your package but was not applied. Refer to the patches
documentation to see what's wrong.

hesiod.x86_64: W: name-repeated-in-summary Hesiod
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

hesiod.x86_64: W: incoherent-version-in-changelog 3.1.0-15 ['3.1.0-18.fc12', '3.1.0-18']
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

hesiod.x86_64: W: no-url-tag
The URL tag is missing.

hesiod-debuginfo.x86_64: W: no-url-tag
The URL tag is missing.

hesiod-devel.x86_64: W: no-url-tag
The URL tag is missing.


    * MUST: The package must be named according to the Package Naming Guidelines .
PASS

    * MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
PASS

    * MUST: The package must meet the Packaging Guidelines .
PASS

    * MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
PASS

    * MUST: The License field in the package spec file must match the actual license. [3]
PASS

    * MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
PASS

    * MUST: The spec file must be written in American English. [5]
PASS

    * MUST: The spec file for the package MUST be legible. [6]
PASS

    * MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
PASS

    * MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
PASS

    * MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
PASS

    * MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
PASS

    * MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
PASS

    * MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
PASS

    * MUST: Packages must NOT bundle copies of system libraries.[11]
PASS

    * MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
PASS

    * MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
PASS

    * MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [14]
PASS

    * MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
PASS

    * MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [16]
PASS

    * MUST: Each package must consistently use macros. [17]
PASS

    * MUST: The package must contain code, or permissable content. [18]
PASS

    * MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [19]
PASS

    * MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [19]
PASS

    * MUST: Header files must be in a -devel package. [20]
PASS

    * MUST: Static libraries must be in a -static package. [21]
PASS

    * MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). [22]
PASS

    * MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [20]
PASS

    * MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [23]
PASS

    * MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[21]
PASS

    * MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [24]
PASS

    * MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [25]
PASS

    * MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [26]
PASS

    * MUST: All filenames in rpm packages must be valid UTF-8. [27]
PASS


#  SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [28]
This should be done.

# SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [29]
No translations are available

# SHOULD: The reviewer should test that the package builds in mock. [30]
PASS

# SHOULD: The package should compile and build into binary rpms on all supported architectures. [31]
PASS

# SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
Not done (No available Hesiod/DNS server setup)

# SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [32]
PASS

# SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [23]
PASS

# SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [22]
PASS

# SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [33]
PASS

# SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[34]
PASS
Comment 2 Nalin Dahyabhai 2010-02-19 16:32:57 EST
(In reply to comment #1)
>     *  MUST: rpmlint must be run on every package. The output should be posted
> in the review.[1]
> FAIL (the changelog should be fixed)

Whoops, fat-fingered that last one, didn't I?

> hesiod.src: W: name-repeated-in-summary Hesiod
> The name of the package is repeated in its summary.  This is often redundant
> information and looks silly in various programs' output.  Make the summary
> brief and to the point without including redundant information in it.

I'm open to suggestions, but every alternative I come up with is much longer than one line of text.
 
> hesiod.src: W: no-url-tag
> The URL tag is missing.

There's no upstream project page of which I'm aware.  

> hesiod.src: W: patch-not-applied Patch0: hesiod-3.1.0-classes.patch
> A patch is included in your package but was not applied. Refer to the patches
> documentation to see what's wrong.

Dropped.  At the time I didn't know if upstream would be restoring something like it, but it hasn't happened yet.

> hesiod.x86_64: W: name-repeated-in-summary Hesiod
> The name of the package is repeated in its summary.  This is often redundant
> information and looks silly in various programs' output.  Make the summary
> brief and to the point without including redundant information in it.

It's used once, in the sentence which describes what it is.  I think this use should be allowed.

> hesiod.x86_64: W: incoherent-version-in-changelog 3.1.0-15 ['3.1.0-18.fc12',
> '3.1.0-18']
> The last entry in %changelog contains a version identifier that is not
> coherent with the epoch:version-release tuple of the package.

Fixed.
 
> hesiod.x86_64: W: no-url-tag
> The URL tag is missing.
> 
> hesiod-debuginfo.x86_64: W: no-url-tag
> The URL tag is missing.
> 
> hesiod-devel.x86_64: W: no-url-tag
> The URL tag is missing.

Based on discussion in #225883, I'm not sure there's anything good to be used here (I'd be tempted to point at, say, Wikipedia's article, or glibc's README.hesiod, but 

> # SHOULD: The reviewer should test that the package functions as described. A
> package should not segfault instead of running, for example.
> Not done (No available Hesiod/DNS server setup)

If you have a DNS server handy, you can use
http://git.fedoraproject.org/git/splatbind.git?p=splatbind.git;a=blob_plain;f=misc/migrate_hesiod.sh
to produce a zone file.

Thanks!
Comment 3 Stephen Gallagher 2010-02-22 07:21:30 EST
I agree with all above comments. This package is approved.

Note You need to log in before you can comment on or make changes to this bug.